"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatText = exports.formatObjKey = void 0;
function formatObjKey(key) {
    const splitKey = key
        .trim()
        .replace(/[^a-zA-Z\s]/gi, "")
        .replace(/\b[a-z]/g, (match) => match.toUpperCase())
        .toString()
        .split(/\s/);
    const combination = splitKey.length > 1
        ? splitKey.join("").charAt(0).toLowerCase() + splitKey.join("").slice(1)
        : splitKey.join("").toLowerCase();
    return combination;
}
exports.formatObjKey = formatObjKey;
function formatText(text) {
    if (!text || text.length < 1) {
        return null;
    }
    return text
        .trim()
        .replace(/\n/g, "")
        .replace(/\t/g, "")
        .replace(/\s{2,2}/g, " ")
        .replace(/\s{2,}/g, "");
}
exports.formatText = formatText;
//# sourceMappingURL=formatting.js.map