"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeColorsFromImage = void 0;
const jimp_1 = __importDefault(require("jimp"));
const replace_color_1 = __importDefault(require("replace-color"));
const utils_1 = require("../utils/utils");
async function removeColorsFromImage(imgPath, colorsToReplace = []) {
    if (colorsToReplace.length > 0) {
        return colorsToReplace.reduce(async (acc, curr, index) => {
            try {
                if (index === 0) {
                    acc = await replace_color_1.default({
                        image: imgPath,
                        colors: {
                            type: "hex",
                            targetColor: curr.targetColor,
                            replaceColor: curr.newColor,
                        },
                        deltaE: 0,
                    });
                }
                else {
                    if (!utils_1.isObjectEmpty(acc)) {
                        acc = await replace_color_1.default({
                            image: await (acc === null || acc === void 0 ? void 0 : acc.getBufferAsync(jimp_1.default.MIME_PNG)),
                            colors: {
                                type: "hex",
                                targetColor: curr.targetColor,
                                replaceColor: curr.newColor,
                            },
                            deltaE: 0,
                        });
                    }
                }
                return acc;
            }
            catch (err) {
                throw err;
            }
        }, {});
    }
    return await jimp_1.default.read(imgPath);
}
exports.removeColorsFromImage = removeColorsFromImage;
//# sourceMappingURL=replaceColorsFromImage.js.map