"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.acessarSintegra = void 0;
const cnpj_1 = require("./helpers/cnpj");
const estados_1 = __importDefault(require("./utils/estados"));
const requestValidation_1 = require("./utils/requestValidation");
async function acessarSintegra(cnpj, estadoSigla) {
    requestValidation_1.validateEstado(estadoSigla);
    requestValidation_1.validateCnpj(cnpj);
    try {
        cnpj = cnpj_1.formatCnpj(cnpj);
        estadoSigla = estadoSigla.toUpperCase();
        switch (estadoSigla) {
            case estados_1.default.ACRE.sigla:
                throw new Error("Não há suporte ao Acre");
            case estados_1.default.ALAGOAS.sigla:
                const sintegraAL = await Promise.resolve().then(() => __importStar(require("./sintegra/sintegraAL")));
                return sintegraAL.fetchSintegra(cnpj);
            case estados_1.default.AMAPA.sigla:
                throw new Error("Não há suporte ao Amapa");
            case estados_1.default.AMAZONAS.sigla:
                throw new Error("Não há suporte ao Amazonas");
            case estados_1.default.BAHIA.sigla:
                const sintegraBA = await Promise.resolve().then(() => __importStar(require("./sintegra/sintegraBA")));
                return sintegraBA.fetchSintegra(cnpj);
            case estados_1.default.CEARA.sigla:
                throw new Error("Não há suporte ao Ceara");
            case estados_1.default.DISTRITO_FEDERAL.sigla:
                const sintegraDF = await Promise.resolve().then(() => __importStar(require("./sintegra/sintegraDF")));
                return sintegraDF.fetchSintegra(cnpj);
            case estados_1.default.ESPIRITO_SANTO.sigla:
                throw new Error("Não há suporte ao Espirito Santo");
            case estados_1.default.GOIAS.sigla:
                const sintegraGO = await Promise.resolve().then(() => __importStar(require("./sintegra/sintegraGO")));
                return sintegraGO.fetchSintegra(cnpj);
            case estados_1.default.MARANHAO.sigla:
                throw new Error("Não há suporte ao Maranhao");
            case estados_1.default.MATO_GROSSO.sigla:
                throw new Error("Não há suporte ao Mato Grosso");
            case estados_1.default.MATO_GROSSO_DO_SUL.sigla:
                throw new Error("Não há suporte ao Mato Grosso do Sul");
            case estados_1.default.MINAS_GERAIS.sigla:
                throw new Error("Não há suporte a Minas Gerais");
            case estados_1.default.PARA.sigla:
                throw new Error("Não há suporte ao Para");
            case estados_1.default.PARAIBA.sigla:
                throw new Error("Não há suporte a Paraiba");
            case estados_1.default.PARANA.sigla:
                throw new Error("Não há suporte ao Parana");
            case estados_1.default.PERNAMBUCO.sigla:
                throw new Error("Não há suporte a Pernambuco");
            case estados_1.default.PIAUI.sigla:
                throw new Error("Não há suporte ao Piaui");
            case estados_1.default.RIO_DE_JANEIRO.sigla:
                throw new Error("Não há suporte ao Rio de Janeiro");
            case estados_1.default.RIO_GRANDE_DO_NORTE.sigla:
                throw new Error("Não há suporte ao Rio Grande do Norte");
            case estados_1.default.RIO_GRANDE_DO_SUL.sigla:
                throw new Error("Não há suporte ao Rio Grande do Sul");
            case estados_1.default.RONDONIA.sigla:
                throw new Error("Não há suporte a Rondonia");
            case estados_1.default.RORAIMA.sigla:
                throw new Error("Não há suporte a Roraima");
            case estados_1.default.SANTA_CATARINA.sigla:
                throw new Error("Não há suporte a Santa Catarina");
            case estados_1.default.SAO_PAULO.sigla:
                const sintegraSP = await Promise.resolve().then(() => __importStar(require("./sintegra/sintegraSP")));
                return sintegraSP.fetchSintegra(cnpj);
            case estados_1.default.SERGIPE.sigla:
                throw new Error("Não há suporte a Sergipe");
            case estados_1.default.TOCANTINS.sigla:
                throw new Error("Não há suporte a Tocantins");
            default:
                throw new Error("Essa sigla não existe");
        }
    }
    catch (err) {
        throw err;
    }
}
exports.acessarSintegra = acessarSintegra;
//# sourceMappingURL=index.js.map