"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateCnpj = exports.validateEstado = void 0;
const cnpj_1 = require("../helpers/cnpj");
function validateEstado(estado) {
    if (!estado) {
        throw new Error("Sigla estado não pode ser null ou undefined");
    }
    if (typeof estado !== "string") {
        throw new Error("Utilize o tipo string em estado");
    }
    if (estado.length !== 2) {
        throw new Error("Utilize a sigla do estado");
    }
    if (!/^[a-zA-Z]+$/.test(estado)) {
        throw new Error("A sigla deve ser letras");
    }
}
exports.validateEstado = validateEstado;
function validateCnpj(cnpj) {
    if (!cnpj) {
        throw new Error("CNPJ não pode ser null ou undefined");
    }
    if (!cnpj_1.isCnpjValid(cnpj)) {
        throw new Error("CNPJ Inválido");
    }
}
exports.validateCnpj = validateCnpj;
//# sourceMappingURL=requestValidation.js.map